//
// Created by william on 12/07/24.
//

#ifndef NES_EMULATOR_NAMETABLE_WINDOW_H
#define NES_EMULATOR_NAMETABLE_WINDOW_H

#include "window.h"
#include "../include/types.h"
#include "pattern_display.h"

#define NW_SCALE 2
#define NW_ROW_TILE_COUNT 32

typedef struct nes_nametable_window {
    NesSdlContext sdl_context;
    PatternDisplay pattern_display;
} NesNametableWindow;

void nametable_window_init(NesNametableWindow *window);
void nametable_window_uninit(NesNametableWindow *window);

void nametable_window_update(NesNametableWindow *window, byte* nametable_0, byte* nametable_1);

void nametable_window_render(NesNametableWindow *window);
void nametable_window_present(NesNametableWindow *window);

#endif //NES_EMULATOR_NAMETABLE_WINDOW_H
